package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class Propinsi
 * 
 * @author Generator
 */
public class PropinsiVO extends BaseMasterVO {
	
	@Caption(value="Kode Propinsi")
	@Column(name = "KdPropinsi", nullable = false )
	@NotNull(message="Kd Propinsi tidak boleh kosong")
	private Byte kdPropinsi;

	@Caption(value="Nama Propinsi")
	@Column(name = "NamaPropinsi", nullable = false , length = 50)
	@NotNull(message="Kd Propinsi tidak boleh kosong")
	private String namaPropinsi;

	@Caption(value="QPropinsi")
	@Column(name = "QPropinsi", nullable = false )
	@NotNull(message="Kd Propinsi tidak boleh kosong")
	private Byte qPropinsi;

	public Byte getKdPropinsi() {
		return kdPropinsi;
	}

	public void setKdPropinsi(Byte kdPropinsi) {
		this.kdPropinsi = kdPropinsi;
	}

	public String getNamaPropinsi() {
		return namaPropinsi;
	}

	public void setNamaPropinsi(String namaPropinsi) {
		this.namaPropinsi = namaPropinsi;
	}

	public Byte getqPropinsi() {
		return qPropinsi;
	}

	public void setqPropinsi(Byte qPropinsi) {
		this.qPropinsi = qPropinsi;
	}
	
}

